Subject: Re: [bitcoindev] Proposal to solve the spam war: configurable data blob relay policy

From: "'Russell O'Connor' via Bitcoin Development Mailing List" <[email-masked]>
Date: Tue, 27 May 2025 12:02:58 -0400

On Sat, May 24, 2025 at 5:33 PM Jonathan Voss <[email-masked]> wrote:

> However, the recent discussion premised upon Citrea's Clementine Bridge
> evidences primarily that the relaying capabilities of the Bitcoin network
> itself are sufficiently useful for L2 designers that there is an incentive
> to bypass standardness restrictions for the sake of reliably promulgating
> data -- at least in the case of Citrea, they say they need to quickly and
> widely disseminate 140+ bytes of arbitrary ZKP data to recover from an
> invalid protocol state, and the utility of that ZKP data very quickly
> decreases after it has been confirmed and processed.

Does your proposal actually solve this problem?  Posting the 140 bytes of
data to the blockchain works as a public bulletin board because the actual
data within the block is what is ultimately guaranteed to be disseminated
to all participants.  With your proposal, a transaction with an OP_RETURN
containing a hash of data could end up being mined without the relevant
transaction ever even being relayed through the Bitcoin network.

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAMZUoK%3Dmux6u%3Df_b0yLb6nvJp41H7iPg7G%2BdLO5xT94kbDybjQ%40mail.gmail.com.